function [] = drawLines(figHandle, lines, penColour, lineWidth)
  if nargin < 3
    penColour = [1 0 0];
  end
  if nargin < 4
    lineWidth = 1;
  end
  if size(penColour,1) == 1
    penColour = repmat(penColour, size(lines,2),1);
  end
  
  figure(figHandle);
  hold on;
  for k=1:size(lines,2)

    % Plot k-th line from x0,y0 to x1,y1 
    plot(lines([1 3],k), lines([2 4],k), 'LineWidth', lineWidth, ...
         'Color', penColour(k,:));
    plot(lines(3,k), lines(4,k), 'hexagram', ...
             'MarkerSize', 10, 'MarkerEdgeColor', penColour(k,:),...
             'MarkerFaceColor', penColour(k,:));
  end

  return;